<mat-toolbar>
  <button type="button" mat-icon-button (click)="onSidenavEvent(sidenav)">
    <mat-icon>menu</mat-icon>
  </button>
  <span (click)="onSidenavEvent(sidenav)">{{activeNode.name}}</span>
</mat-toolbar>
<mat-sidenav-container class="example-container">
  <mat-sidenav #sidenav class="example-sidenav">
    <div class="menu-container">
      <mat-tree [dataSource]="dataSource" [treeControl]="treeControl" class="example-tree">
        <!-- This is the tree node template for leaf nodes -->
        <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
          <li class="mat-tree-node" [class.active]="node.url === activeNode.url" (click)="rout(node, sidenav)">
            <!-- use a disabled button to provide padding for tree leaf -->
            <button mat-icon-button disabled></button>
            {{node.name}}
          </li>
        </mat-tree-node>
        <!-- This is the tree node template for expandable nodes -->
        <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
          <li matTreeNodeToggle>
            <div class="mat-tree-node">
              <button mat-icon-button matTreeNodeToggle
                      [attr.aria-label]="'toggle ' + node.name">
                <mat-icon class="mat-icon-rtl-mirror">
                  {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                </mat-icon>
              </button>
              {{node.name}}
            </div>
            <ul [class.example-tree-invisible]="!treeControl.isExpanded(node)">
              <ng-container matTreeNodeOutlet></ng-container>
            </ul>
          </li>
        </mat-nested-tree-node>
      </mat-tree>
    </div>

  </mat-sidenav>

  <div class="example-sidenav-content">
    <section class="example-section" *ngIf="loading">
      <mat-progress-spinner
        class="example-margin"
        [color]="color"
        [mode]="mode"
        [value]="value">
      </mat-progress-spinner>
    </section>
    <router-outlet *ngIf="!loading"></router-outlet>
  </div>

</mat-sidenav-container>

